Warehouse Chief Ranspo:
To qualify to become a Scavenger, your level must be at least 20 and you must pass the Test of the Scavenger.
Ask Collector Pippi of the Dwarven village about the Test of the Scavenger. She will tell you everything you need to know about the test, in detail. After you have passed the test, come to me. Then I will change your profession to a Scavenger.
Use a Gatekeeper to get to the Dwarven village.
Return